using System;
using System.Collections.Generic;
using System.Linq;

namespace GUI
{
    public class Bag
    {
        private readonly Random _random;
        private Queue<Matrix> _bag = new(); //using queue for easy pop/dequeue.

        public Bag(int seed)
        {
            _random = new Random(seed);
        }

        private void Fill()
        {
            _bag = new Queue<Matrix>(Matrix.GetMatrixes().OrderBy(_ => _random.Next()));
        }

        public Matrix GetNextMatrix()
        {
            if (_bag.Count == 0) Fill();
            return _bag.Dequeue();
        }
    }
}