using Avalonia.Controls;
using Avalonia.Markup.Xaml;

namespace GUI
{
    public class ScoreBox : UserControl
    {
        private readonly TextBlock _levelTextBlock;
        private readonly TextBlock _nameText;
        private readonly TextBlock _scoreTextblock;
        private int _score;

        public ScoreBox()
        {
            InitializeComponent();
            _scoreTextblock = this.Find<TextBlock>("Score");
            _levelTextBlock = this.Find<TextBlock>("Level");
            _nameText = this.Find<TextBlock>("Name");
        }

        private int GetLevel() //TODO make getter.
        {
            return ((TetrisGrid) Parent.Parent.Parent).Level;
        }

        public void Show()
        {
            _scoreTextblock.Text = _score.ToString();
            _levelTextBlock.Text = GetLevel().ToString();
        }

        public void SetName(string name)
        {
            _nameText.Text = name;
        }

        public void Add(int points)
        {
            _score += points;
            Show();
        }

        public void AddRows(int rows)
        {
            switch (rows)
            {
                case 1:
                    Add(40 * (GetLevel() + 1));
                    break;
                case 2:
                    Add(100 * (GetLevel() + 1));
                    break;
                case 3:
                    Add(300 * (GetLevel() + 1));
                    break;
                case 4:
                    Add(1200 * (GetLevel() + 1));
                    break;
            }
        }

        private void InitializeComponent()
        {
            AvaloniaXamlLoader.Load(this);
        }
    }
}